Skip to main content
`Ctrl`+`K`

# PetscFinalized

Determine whether `PetscFinalize()` has been called yet

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFinalized(PetscBool *isFinalized)

## Output Parameter

- isFinalized - `PETSC_TRUE` if PETSc is finalized, `PETSC_FALSE` otherwise

## See Also

`PetscInitialize()`, `PetscInitializeNoArguments()`, `PetscInitializeFortran()`

## Level

developer

## Location

src/sys/objects/pinit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages